diff -ur diffutils-3.2.orig/debian/rules diffutils-3.2/debian/rules
--- diffutils-3.2.orig/debian/rules	2012-03-03 12:31:13.000000000 +0000
+++ diffutils-3.2/debian/rules	2012-03-16 18:25:15.622376127 +0000
@@ -3,6 +3,17 @@
 package = diffutils
 docdir = debian/tmp/usr/share/doc/$(package)
 
+export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+  confflags += --build $(DEB_HOST_GNU_TYPE)
+  CROSS=""
+else
+  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+  CROSS=$(DEB_HOST_GNU_TYPE)-
+endif
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 CFLAGS := `dpkg-buildflags --get CFLAGS` -Wall
@@ -12,16 +23,7 @@
 STRIP = true
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-  STRIP = strip --remove-section=.comment --remove-section=.note
-endif
-
-export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
-  confflags += --build $(DEB_HOST_GNU_TYPE)
-else
-  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+  STRIP = $(CROSS)strip --remove-section=.comment --remove-section=.note
 endif
 
 build:
